## org.jboss.util
Interface Sync

All Known Subinterfaces:
  WaitSync

All Known Implementing Classes:
  Semaphore

public interface Sync

Interface that gives synchronization semantic to implementors

Version:
  $Revision: 1.2 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:
  `Semaphore`

Method Summary
`void` `acquire()` Acquires this sync
`void` `release()` Releases this sync

Method Detail

### acquire

    public void acquire()
                 throws java.lang.InterruptedException

  Acquires this sync
  See Also:
    `release()`

### release

    public void release()

  Releases this sync
  See Also:
    `acquire()`

Copyright © 2000 The JBoss Organization. All Rights Reserved.